# Interface ZooInspectorReadOnlyManager

All Known Subinterfaces:
  `ZooInspectorManager, ZooInspectorNodeManager, ZooInspectorNodeTreeManager`

All Known Implementing Classes:
  `ZooInspectorManagerImpl`

public interface ZooInspectorReadOnlyManager
A Manager for all read only interactions between the application and a node in a Zookeeper instance

## Method Summary

Modifier and Type
Method
Description
`List<Map<String,String>>`
`getACLs(String nodePath)`
`List<String>`
`getChildren(String nodePath)`
`String`
`getData(String nodePath)`
`Map<String,String>`
`getNodeMeta(String nodePath)`
`int`
`getNumChildren(String nodePath)`

## Method Details

### getData

String getData(String nodePath)

Parameters:
  `nodePath` - - the path to the node whose data is to be retrieved
Returns:
  the data for the node

### getNodeMeta

Map<String,String> getNodeMeta(String nodePath)

Parameters:
  `nodePath` - - the path to the node whose metadata is to be retrieved
Returns:
  the metaData for the node

### getACLs

List<Map<String,String>> getACLs(String nodePath)

Parameters:
  `nodePath` - - the path to the node whose ACLs are to be retrieved
Returns:
  the ACLs set on the node

### getNumChildren

int getNumChildren(String nodePath)

Parameters:
  `nodePath` - - the path to the node to parent node
Returns:
  the number of children of the node

### getChildren

List<String> getChildren(String nodePath)

Parameters:
  `nodePath` - - the path to the node whose children to retrieve
Returns:
  a `List` of the children of the node